Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Failed to install Cloudera Manager Agent on all Nodes

Highlighted

Failed to install Cloudera Manager Agent on all Nodes

Explorer

Good Day,

 

Setting up my first 17 node cluster and have gotten to the point of deploying Cloudera Manager Agent (5.15.0) through Cloudera Manager across the nodes in the cluster (running CentOS 7.5).  Every nodes reports the following error:

 

 

 -------------------------------------------------------------- 

Error: Package: glibc-2.17-222.el7.i686 (CentOS) 
Requires: libfreebl3.so 
Error: Package: krb5-devel-1.15.1-18.el7.x86_64 (CentOS) 
Requires: libkadm5(x86-64) = 1.15.1-18.el7 
Installed: libkadm5-1.15.1-19.el7.x86_64 (@updates) 
libkadm5(x86-64) = 1.15.1-19.el7 
Available: libkadm5-1.15.1-18.el7.x86_64 (CentOS) 
libkadm5(x86-64) = 1.15.1-18.el7 
Error: Package: glibc-2.17-222.el7.i686 (CentOS) 
Requires: libfreebl3.so(NSSRAWHASH_3.12.3) 
Error: Package: krb5-devel-1.15.1-18.el7.x86_64 (CentOS) 
Requires: krb5-libs(x86-64) = 1.15.1-18.el7 
Installed: krb5-libs-1.15.1-19.el7.x86_64 (@updates) 
krb5-libs(x86-64) = 1.15.1-19.el7 
You could try using --skip-broken to work around the problem 
You could try running: rpm -Va --nofiles --nodigest 

 --------------------------------------------------------------

 

I spoke to my server admin and was informed that we cannot deploy the version of the components it is requesting on CentOS 7.5, as these are core components that come at this version level with the OS template.

 

I did open a case and the Cloudera support person is attempting to setup an environment using the same versions, although I thought that maybe someone could offer some additional suggestions or advice as this is a high-priority issue.

 

Any assistance would be greatly appreciated.

 

Thanks

 

Greg

Don't have an account?
Coming from Hortonworks? Activate your account here